Approve a filing for submission
curl --request POST \
--url https://api.cadanapay.com/v1/statutory/filings/{filing_id}/approve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/statutory/filings/{filing_id}/approve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/statutory/filings/{filing_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "invalid_request",
"message": "countryCode is required",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Filings
Approve a filing for submission
Beta — contact Cadana to enable access for your business.
Approves a filing, moving it from in_review to approved. Once approved,
Cadana will submit the filing to the government authority within the
jurisdiction’s processing window.
Requires all requirements to be satisfied and no active blocked reasons.
POST
/
v1
/
statutory
/
filings
/
{filing_id}
/
approve
Approve a filing for submission
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
Filing identifier
Response
Filing approved